> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-nhi-visibility-draft.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Program

> GetProgram returns the report's current durable source without attaching it
 to the notification-driven report response. Reports are creator-scoped.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/reporting/reports/{id}/program
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/reporting/reports/{id}/program:
    get:
      tags:
        - Report
      summary: Get Program
      description: >-
        GetProgram returns the report's current durable source without attaching
        it
         to the notification-driven report response. Reports are creator-scoped.
      operationId: c1.api.reporting.v1.ReportingService.GetProgram
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            type: string
        - in: query
          name: program_id
          schema:
            description: The programId field.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.reporting.v1.ReportingServiceGetProgramResponse
          description: Successful response
components:
  schemas:
    c1.api.reporting.v1.ReportingServiceGetProgramResponse:
      description: The ReportingServiceGetProgramResponse message.
      properties:
        files:
          additionalProperties:
            type: string
          description: The files field.
          type: object
        programId:
          description: The programId field.
          type: string
      title: Reporting Service Get Program Response
      type: object
      x-speakeasy-name-override: ReportingServiceGetProgramResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````